--- title: "Get IP Settings Configuration at Sensor Level" slug: "get-ip-settings-configuration-at-sensor-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/get-ip-settings-configuration-at-sensor-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get IP Settings Configuration at Sensor Level This URL gets IP settings configuration at Sensor level. ## Resource URL GET /sensor//ipsettings ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | IPSettings | Object that contains the details of the fields | Object | Details of fields in IPSettings: | Field Name | Description | Data Type | | --- | --- | --- | | ipv4Parameter | The IPv4 parameter settings for IP settings | Object | | ipv6Parameter | The IPv6 parameter settings for IP settings | Object | | jumboFrameParsing | The jumbo frame parsing settings for IP settings. The value can be: - ENABLED - DISABLED | String | Details of fields in ipv4Parameter: | Field Name | Description | Data Type | | --- | --- | --- | | fragmentTimer | The fragment timer (seconds) | Number | | overlapOption | The overlap option. The value can be: - OLD_DATA - NEW_DATA | String | | smallestFragmentSize | The smallest fragment size | Number | | smallFragmentThreshold | The small fragment threshold | Number | | fragmentReassembly | The fragment reassembly. The value can be: - ENABLED - DISABLED | String | Details of fields in ipv6Parameter: | Field Name | Description | Data Type | | --- | --- | --- | | ipv6Scanning | The IPv6 scanning data. The value can be: - SCAN_IPV_6_TRAFFIC_FOR_ATTACKS - DROP_ALL_IPV_6_TARFFIC_INLINE_ONLY - PASS_IPV_6_TRAFFIC_WITHOUT_SCANNING | String | | overlapOption | The overlap option. The value can be: - OLD_DATA - NEW_DATA - DROP | String | | smallestFragmentSize | The smallest fragment size | Number | | smallFragmentThreshold | The small fragment threshold | Number | ## Example **Request** GET [https:///sdkapi/sensor/1002/ipsettings](https://%3CNSM_IP%3E/sdkapi/sensor/1002/ipsettings) **Response** ``` { "ipv4Parameter": { "fragmentTimer": 180, "overlapOption": "OLD_DATA", "smallestFragmentSize": 1480, "smallFragmentThreshold": 100000, "fragmentReassembly": "DISABLED" }, "ipv6Parameter": { "ipv6Scanning": "SCAN_IPV_6_TRAFFIC_FOR_ATTACKS", "overlapOption": "OLD_DATA", "smallestFragmentSize": 1280, "smallFragmentThreshold": 100000 }, "jumboFrameParsing": null } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |